#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 37. LXQt Desktop

- Prev

  libfm-extra-1.3.2

- Next

  libfm-qt-2.1.0

- Up
- Home

# menu-cache-1.1.1

## Introduction to Menu Cache

The Menu Cache package contains a library for creating and utilizing caches to speed up the manipulation for freedesktop.org defined application menus.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://github.com/lxde/menu-cache/archive/1.1.1/menu-cache-1.1.1.tar.gz

- Download MD5 sum: a15e0de38188622a6b9e63433a6d616f

- Download size: 68 KB

- Estimated disk space required: 3.8 MB

- Estimated build time: less than 0.1 SBU

### Menu Cache Dependencies

#### Required

GTK-Doc-1.34.0 and libfm-extra-1.3.2

#### Optional

xdg-utils-1.2.1

## Installation of Menu Cache

    sh autogen.sh                              &&
    ./configure --prefix=/usr --disable-static &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--enable-gtk-doc`: Use this option if GTK-Doc is installed and you wish to build and install the API documentation.

## Contents

Installed Programs: None
Installed Library: libmenu-cache.so
Installed Directories: /usr/{include,libexec,share/gtk-doc/html}/menu-cache

### Short Descriptions

`libmenu-cache.so` | contains the menu-cache API functions

- Prev

  libfm-extra-1.3.2

- Next

  libfm-qt-2.1.0

- Up
- Home